osl::eval::ml::King25EffectY2 Class Reference

`#include <kingTable.h>`

## Public Types

enum | { ONE_DIM = 17 * 13 * 64 * 9 , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)
static MultiInt | eval (const NumEffectState &state, int black_attack_effect, int black_attack_piece, int white_attack_effect, int white_attack_piece, int black_stand_count, int white_stand_count)

## Static Private Member Functions

static int | index (int king_y, int effect, int piece_count, int stand_count)

## Static Private Attributes

static CArray< MultiInt, ONE_DIM > | table

## Detailed Description

Definition at line 344 of file kingTable.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 347 of file kingTable.h.

## Member Function Documentation

## eval()

MultiInt osl::eval::ml::King25EffectY2::eval | ( | const NumEffectState & | state,
|  | int | black_attack_effect,
|  | int | black_attack_piece,
|  | int | white_attack_effect,
|  | int | white_attack_piece,
|  | int | black_stand_count,
|  | int | white_stand_count )

inline static

Definition at line 358 of file kingTable.h.

References osl::BLACK, index(), osl::SimpleState::kingSquare(), table, and osl::WHITE.

## index()

int osl::eval::ml::King25EffectY2::index | ( | int | king_y,
|  | int | effect,
|  | int | piece_count,
|  | int | stand_count )

inline static private

Definition at line 349 of file kingTable.h.

Referenced by eval().

## setUp()

void osl::eval::ml::King25EffectY2::setUp | ( | const Weights & | weights | ) |

static

Definition at line 461 of file kingTable.cc.

References osl::NStages, ONE_DIM, table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< MultiInt, osl::eval::ml::King25EffectY2::ONE_DIM > osl::eval::ml::King25EffectY2::table

static private

Definition at line 355 of file kingTable.h.

Referenced by eval(), and setUp().

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc